Class | Chef::Provider::Package::Zypper
In: | lib/chef/provider/package/zypper.rb
Parent: | Chef::Provider::Package

### Methods

install_package load_current_resource purge_package remove_package upgrade_package zypper_version

### Public Instance methods

install_package(name, version)
load_current_resource()
purge_package(name, version)
remove_package(name, version)
upgrade_package(name, version)
zypper_version()

Gets the zypper Version from command output (Returns Floating Point number)

[Validate]